summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorgraziano.giuliani2019-09-22 17:05:54 +0200
committergraziano.giuliani2019-09-22 17:05:54 +0200
commit9c7b0014c224211628188bff5f7a71aaf6b30e58 (patch)
tree28aa3f67e047cc67d13e2b5fa89a7ccec5244e2e
parenta083b8b495055ef35c2967b846172d9fe645108f (diff)
downloadaur-9c7b0014c224211628188bff5f7a71aaf6b30e58.tar.gz
metview does not compile with odb_api, so disable it for now.
-rw-r--r--.SRCINFO3
-rw-r--r--PKGBUILD8
2 files changed, 7 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index bc1e05b4dc4..df0c96f9466 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = magics++
pkgdesc = Magics is the latest generation of the ECMWF's Meteorological plotting software MAGICS.
pkgver = 4.1.3
- pkgrel = 1
+ pkgrel = 2
url = https://software.ecmwf.int/wiki/display/MAGP
arch = i686
arch = x86_64
@@ -21,6 +21,7 @@ pkgbase = magics++
depends = netcdf-cxx-legacy
depends = eccodes
depends = python
+ depends = libgeotiff
optdepends = libaec
optdepends = odb_api
source = http://software.ecmwf.int/wiki/download/attachments/3473464/Magics-4.1.3-Source.tar.gz
diff --git a/PKGBUILD b/PKGBUILD
index dfdd3d35cd4..649ecdaa128 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,12 +5,12 @@ pkgname=magics++
Pkgname=Magics
pkgver=4.1.3
_attnum=3473464
-pkgrel=1
+pkgrel=2
pkgdesc="Magics is the latest generation of the ECMWF's Meteorological plotting software MAGICS."
arch=('i686' 'x86_64')
url="https://software.ecmwf.int/wiki/display/MAGP"
license=('Apache')
-depends=('qt5-base' 'proj' 'fftw' 'pango' 'netcdf-cxx-legacy' 'eccodes' 'python')
+depends=('qt5-base' 'proj' 'fftw' 'pango' 'netcdf-cxx-legacy' 'eccodes' 'python' 'libgeotiff')
optdepends=('libaec' 'odb_api')
makedepends=('perl-xml-parser' 'gcc-fortran' 'swig' 'python2-numpy' 'cmake' 'boost' 'emos' 'python2-jinja')
source=(http://software.ecmwf.int/wiki/download/attachments/${_attnum}/${Pkgname}-${pkgver}-Source.tar.gz patch)
@@ -22,13 +22,15 @@ build() {
patch -p0 -i ../patch
rm -fr src/boost && ln -sf /usr/include/boost src
[ -x /usr/bin/odb ] && has_odb=ON || has_odb=OFF
+ # force this for now. Metview does not compile
+ has_odb=OFF
mkdir -p build
cd build
CC=gcc CXX='g++' \
cmake -DCMAKE_LINKER_FLAGS="-pthread" \
-DCMAKE_SHARED_LINKER_FLAGS="-pthread" \
-DCMAKE_EXE_LINKER_FLAGS="-pthread" -DENABLE_ODB=${has_odb} \
- -Dodb_api_DIR=/usr/share/odb_api/cmake \
+ -DGEOTIFF_PATH=/usr -Dodb_api_DIR=/usr/share/odb_api/cmake \
-DCMAKE_CXX_COMPILER=g++ -DCMAKE_CC_COMPILER=gcc \
-DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=production \
-DCMAKE_INSTALL_DATADIR=/usr/share \